Loading...
Searching...
No Matches
FunctionBuilder::Settings Struct Reference

`#include <openvdb_ax/codegen/FunctionTypes.h>`

## Public Types

using | Ptr = std::shared_ptr<Settings>

## Public Member Functions

bool | isDefault () const

## Public Attributes

std::shared_ptr< std::vector< const char * > > | mNames = nullptr
std::vector< const char * > | mDeps = {}
bool | mConstantFold = false
bool | mEmbedIR = false
std::vector< llvm::Attribute::AttrKind > | mFnAttrs = {}
std::vector< llvm::Attribute::AttrKind > | mRetAttrs = {}
std::map< size_t, std::vector< llvm::Attribute::AttrKind > > | mParamAttrs = {}

## Member Typedef Documentation

## Ptr

using Ptr = std::shared_ptr<Settings>

## Member Function Documentation

## isDefault()

bool isDefault | ( |  | ) | const

inline

## Member Data Documentation

## mConstantFold

bool mConstantFold = false

## mDeps

std::vector<const char*> mDeps = {}

## mEmbedIR

bool mEmbedIR = false

## mFnAttrs

std::vector<llvm::Attribute::AttrKind> mFnAttrs = {}

## mNames

std::shared_ptr<std::vector<const char*> > mNames = nullptr

## mParamAttrs

std::map<size_t, std::vector<llvm::Attribute::AttrKind> > mParamAttrs = {}

## mRetAttrs

std::vector<llvm::Attribute::AttrKind> mRetAttrs = {}